Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32444/?format=api
{ "ob_id": 32444, "uuid": "0f49c8eb20bb4a0fa20f1f1b2670ba4c", "title": "NERC-ARF Flight 2018_123 - for CA18_207: Airborne remote sensing measurements", "abstract": "Airborne remote sensing measurements collected on 03 May 2018 by the Natural Environment Research Council Airborne Research Facility (NERC-ARF) onboard the British Antarctic Survey (BAS) Twin-Otter aircraft for the NERC-ARF CA18_207 Project: Canadian Wildfire Observations with SLSTR and Aircraft. Ontario, Canada area (CA18_207) (flight reference: 2018_123). This dataset comprises: hyperspectral data collected using a Specim Aisa FENIX imager and digital photography data collected using a Leica RCD105 camera.\r\n\r\nData were collected over the Rothamsted, UK area prior to a detachment to Ontario, Canada.", "keywords": "CA18_207, CA18/207, aircraft, hyperspectral, remote sensing, NERC-ARF, ARSF", "publicationState": "published", "dataPublishedTime": "2021-04-23T11:00:06", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32445/?format=api", "dataPath": "/neodc/arsf/2018/CA18_207/CA18_207-2018_123_Rothamsted", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 104845641381, "numberOfFiles": 316, "fileFormat": "Hyperspectral data are ENVI binary, LiDAR data are LAS and aerial photography are TIF formats" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8913/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2749/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were collected and processed by the NERC-ARF facility and deposited at the Centre for Environmental Data Analysis (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/32374/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144438/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144439/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144440/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144441/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144442/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144443/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144444/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144445/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/32446/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }